<div class="header">
  <h1 class="ui-widget">Admin Panel - Edit units parameters</h1>
</div>
<div class="ui-card ui-widget ui-widget-content ui-corner-all dash-panel">

  <div class="ui-card-body">
    <div class="ui-card-content" id="controlls">
      <p-table [value]="units">

        <ng-template pTemplate="header">
          <tr>
            <th>Name</th>
            <th>Hp</th>
            <th>Ap</th>
            <th>Range</th>
            <th>Damage</th>
            <th>Cost</th>
          </tr>
        </ng-template>

        <ng-template pTemplate="body" let-unit>
          <tr>
            <td>{{unit.name}}</td>
            <td><input type="number" [(ngModel)]="unit.hp" value="{{unit.hp}}"></td>
            <td><input type="number" [(ngModel)]="unit.ap" value="{{unit.ap}}"></td>
            <td><input type="number" [(ngModel)]="unit.range" value="{{unit.range}}"></td>
            <td><input type="number" [(ngModel)]="unit.dmg" value="{{unit.dmg}}"></td>
            <td><input type="number" [(ngModel)]="unit.cost" value="{{unit.cost}}"></td>
          </tr>
        </ng-template>
      </p-table>

      <p-table [value]="[1]">
        <ng-template pTemplate="header">
          <tr>
            <th>Mine resources</th>
            <th>Worker mining per turn</th>
          </tr>
        </ng-template>
        <ng-template pTemplate="body">
          <tr>
            <td><input type="number" [(ngModel)]="miningParams[0]" value="{{miningParams[0]}}"></td>
            <td><input type="number" [(ngModel)]="miningParams[1]" value="{{miningParams[1]}}"></td>
          </tr>
        </ng-template>
      </p-table>

      <button pButton type="button" label="Save changes" (click)="saveChanges()"></button>
      <button pButton type="button" label="Reset" (click)="reset()"></button>
      <button pButton type="button" label="Back" routerLink="/admin-menu"></button>

    </div>
  </div>
</div>
